Hello everyone.

The Mixed Reality Forums here are no longer being used or maintained.

There are a few other places we would like to direct you to for support, both from Microsoft and from the community.

The first way we want to connect with you is our mixed reality developer program, which you can sign up for at https://aka.ms/IWantMR.

For technical questions, please use Stack Overflow, and tag your questions using either hololens or windows-mixed-reality.

If you want to join in discussions, please do so in the HoloDevelopers Slack, which you can join by going to https://aka.ms/holodevelopers, or in our Microsoft Tech Communities forums at https://techcommunity.microsoft.com/t5/mixed-reality/ct-p/MicrosoftMixedReality.

And always feel free to hit us up on Twitter @MxdRealityDev.

Do we still build to Windows Store in Unity 2017.2.0b6?

bdimagbdimag
edited August 2017 in Q&A and Discussions

Windows Store is not available in the list of platforms in Unity 2017.2 beta... UWP is there and it will build and run while debugging--under certain conditions it will launch in the mixed reality portal as well.

Have installed/uninstalled--I've tried b5 as well with the same results.
UnitySetup64.exe
UnitySetup-Metro-Support-for-Editor-2017.2.0b6.exe

Re: https://developer.microsoft.com/en-us/windows/mixed-reality/unity_development_overview

Select File > Build Settings...
Select Windows Store in the Platform list and click Switch Platform

Thanks

Best Answer

  • Accepted Answer

    @bdimag -This has changed in Unity 2017.2.0. It's been renamed to Universal Windows Platform.

    Technically 2017.2.0 is still in beta, and while necessary for developing for the Immersive Headsets, I don't think it's officially the recommendation for HoloLens development, which I think is why the documentation still says to choose the Windows Store option that is in 5.6, the latest officially supported version for HoloLens development.

    That said, I will forward this on to the Microsoft Team that is in charge of maintaining this documentation so that maybe they can put both in there.

    Thanks,
    Jesse

Answers

  • Accepted Answer

    @bdimag -This has changed in Unity 2017.2.0. It's been renamed to Universal Windows Platform.

    Technically 2017.2.0 is still in beta, and while necessary for developing for the Immersive Headsets, I don't think it's officially the recommendation for HoloLens development, which I think is why the documentation still says to choose the Windows Store option that is in 5.6, the latest officially supported version for HoloLens development.

    That said, I will forward this on to the Microsoft Team that is in charge of maintaining this documentation so that maybe they can put both in there.

    Thanks,
    Jesse

  • Thank you--it was guidance from the Install the tools page to install the 2017.2 beta if the MRTP builds are not available, as part of the Immersive headset checklist (HoloLens checklist shows only 2017.1).

  • Yep. I passed the feedback on to the team this morning to update the documentation.

Sign In or Register to comment.